RDKit::SmartsParserParams Struct Reference

`#include <SmilesParse.h>`

## Public Attributes

int | debugParse = 0
std::map< std::string, std::string > * | replacements
bool | allowCXSMILES = true
bool | strictCXSMILES
bool | parseName = true
bool | mergeHs

## Detailed Description

Definition at line 84 of file SmilesParse.h.

## Member Data Documentation

## allowCXSMILES

bool RDKit::SmartsParserParams::allowCXSMILES = true

recognize and parse CXSMILES extensions

Definition at line 88 of file SmilesParse.h.

## debugParse

int RDKit::SmartsParserParams::debugParse = 0

enable debugging in the SMARTS parser

Definition at line 85 of file SmilesParse.h.

Referenced by RDKit::SmartsToMol().

## mergeHs

bool RDKit::SmartsParserParams::mergeHs

Initial value:
=
true

toggles merging H atoms in the SMARTS into neighboring atoms

Definition at line 92 of file SmilesParse.h.

Referenced by RDKit::SmartsToMol().

## parseName

bool RDKit::SmartsParserParams::parseName = true

parse (and set) the molecule name as well

Definition at line 91 of file SmilesParse.h.

## replacements

std::map<std::string, std::string>* RDKit::SmartsParserParams::replacements

Initial value:
=
nullptr

allows SMARTS "macros"

Definition at line 86 of file SmilesParse.h.

Referenced by RDKit::SmartsToMol().

## strictCXSMILES

bool RDKit::SmartsParserParams::strictCXSMILES

Initial value:
=
true

throw an exception if the CXSMILES parsing fails

Definition at line 89 of file SmilesParse.h.

The documentation for this struct was generated from the following file:

- SmilesParse.h